/* .dynamic-add-2-cart-widget {
    position: absolute;
    margin: 0 !important;
   
    bottom:0px;
    right: 10px;
    z-index: 9999;
} */

.dynamic-add-2-cart-widget {
    position: relative;
    margin: 0 !important;
    padding:10px;
}


.icon-btn {
    width: 32px;
    height: 32px;
    border: 1px solid #ff6665 !important;
    background: #fff !important;
    border-radius: 9px !important;
    overflow: hidden !important;
    position: relative;
    transition: width 0.2s ease-in-out !important;
    background: #FFF !important
}

.add-btn::before,
.add-btn::after {
    transition: width 0.2s ease-in-out, border-radius 0.2s ease-in-out;
    content: "";
    position: absolute;
    height: 3px;
    width: 10px;
    top: calc(50% - 2px);
    background: #ff6665;
}

.add-btn::after {
    right: 14px;
    overflow: hidden;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

.add-btn::before {
    left: 14px;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

.product-item-info:hover .add-btn::before {
    left: 12px;
}

input.qty-1 {
    text-align: center;
    color: #000 !important;
    opacity: 1 !important;
}

.icon-btn:focus {
    outline: none;
}

.btn-txt {
    opacity: 0;
    transition: opacity 0.2s;
}

.add-icon::after,
.add-icon::before {
    transition: all 0.2s ease-in-out;
    content: "";
    position: absolute;
    height: 20px;
    width: 2px;
    top: calc(50% - 10px);
    background: #ff6665;
    overflow: hidden;
}

.add-icon::before {
    left: 14px;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

.loading-mask {
    z-index: 1 !important;
}

.product-item-info:hover .add-icon::before {
    left: 15px;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}

.product-item-info:hover .add-btn::after {
    right: 13px;
    overflow: hidden;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

.product-item-info:hover .add-btn::before,
.product-item-info:hover .add-btn::after {
    transition: width 0.2s ease-in-out, border-radius 0.2s ease-in-out;
    content: "";
    position: absolute;
    height: 4px;
    width: 14px;
    top: calc(50% - 2px);
    background: #ff6665;
}

.add-to-cart-kitchen button.action.tocart.primary::after {
    content: '+';
    font-size: 24px;
    padding: 0px !important;
    margin-top: 20px !important;
    color: #ff6665 !important;
}

.add-btn.active::before,
.add-btn:hover::before,
.add-btn.active::after,
.add-btn:hover::after {
    width: 4px;
    border-radius: 2px;
    display: none;
    
}

.add-qty-1,.reduce-qty-1{
    background: #ff6665 !important;
    color:#FFF;
    border:none !important;
}

.add-btn:hover .btn-txt,
.add-btn.active .btn-txt {
    opacity: 1;
}

.add-icon::after {
    right: 14px;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

.add-btn:hover .add-icon::before,
.add-btn.active .add-icon::before {
    display: none;
    left: 15px;
    height: 4px;
    top: calc(50% - 2px);
}

.add-btn.active .add-icon::after,
.add-btn:hover .add-icon::after {
    display: none;
    right: 15px;
    height: 4px;
    top: calc(50% - 2px);
}

.control-1.qty-change-1 {
    display: flex;
}

.add-btn:hover,
.add-btn.active {
        width: 100%;
}

.products-grid .swatch-attribute.size .swatch-option {
    border-radius: 25px !important;
    -moz-border-radius: 25px !important;
    -webkit-border-radius: 25px !important;
    width: 50px !important;
    height: 25px !important;
    min-width: 25px !important;
    margin: 3px !important;
}

.products-grid .product-item .product-item-info {
    min-height: 375px;
}

.add-to-cart-kitchen .qty-1 button {
    background: #ff6665 !important;
    color: #FFF;
    font-size: 26px;
    border: 0 !important;
    padding: 3px 12px 4px 12px;
}

.add-to-cart-kitchen .qty-1 input {
    background: #FFF;
    text-align: center;
}

.products-grid .product-item .product-item-info:hover,
.products-grid .product-item .product-item-info.active {
    -webkit-box-shadow: 0px 5px 30px 0px rgb(0 0 0 / 5%) !important;
    -moz-box-shadow: 0px 5px 30px 0px rgba(0, 0, 0, 0.05) !important;
    box-shadow: 0px 5px 30px 0px rgb(0 0 0 / 5%) !important;
    border: 0px solid #ccc !important;
    position: relative;
}

.column.main .products-grid .product-item .action.towishlist span {
    display: none;
}
.add-to-cart-loading {
    width: 100% !important;
    text-align: center !important;
}
.add-to-cart-loading img {
    width: 12px !important;
    display: inline-block !important;
}

.add2cartfinal,button.action.primary.tocart{
    width: 100%;
   background-color: #ff6665 !important;
    border:thin solid #ff6665 !important;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px !important;
    border-radius: 6px !important;
    text-align:center;
}

.minicart-wrapper.quickcart-wrapper{
    z-index: 100000;

}

.header .quickcart-wrapper .block-quickcart .block-content-quickcart .quickcart-items-wrapper .quickcart-items .quickcart-product-item .product-item-details .action.delete{
    z-index:2;
}

.modal-popup.confirm .modal-content{
    padding: 30px;
}


.msg.alert {
    margin-top: 4px;
}



.checkout-cart-index .control.qty{
    display: flex;
    background: #ff6665 !important;
    border-radius: 3px !important;
}

.checkout-cart-index .item-info button{
      background: #ff6665 !important;
    border:none !important;
}

.checkout-cart-index .control.qty input{
    margin-top:1px !important;
    border:thin solid #ff6665 !important;
}
.checkout-cart-index .field.qty .updateCartButton{
    width: 100%;
    margin-top:4px;
    border-radius: 3px;
    border:none !important;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px !important;
}
.aw-sidebar-product-qty > *, .updateCartButton{
    border:none !important;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px !important;
}

.header .quickcart-wrapper .block-quickcart .block-content-quickcart .quickcart-items-wrapper .quickcart-items .quickcart-product-item .action.delete span.icon-line-cross{
    display: none !important;
 }
     
 @media only screen and (max-width: 996px){
  
 .checkout-cart-index .item-info button{
     padding: 5px 12px;
     font-size: 16px;
 }
 
 .cart.table-wrapper .col.qty .input-text{
     width: 50px;
 }
 .header .quickcart-wrapper .block-quickcart .block-content-quickcart .quickcart-items-wrapper .quickcart-items .quickcart-product-item{    
     padding:4px !important;
 }
     
 .header .quickcart-wrapper .block-quickcart .block-content-quickcart .quickcart-items-wrapper .quickcart-items .quickcart-product-item .action.delete span.icon-line-cross{
     display: none !important;
 }
     
     
 }

 .aw-onestep.aw-onestep-main{
    padding:0px 10px ;
}

.aw-onestep.aw-onestep-main .osc-fluid > .field:first-child{
    margin-right: 0px !important;
}
    
.aw-onestep.aw-onestep-main .osc-fluid > .field:first-child{
    margin-right:5px !important;
}
.onestepcheckout-index-index .page-main .checkout-container .osc-fluid .field+.field{
    margin-left:0px;
}

.aw-onestep.aw-onestep-main .osc-fluid > .field:nth-child(3){
    margin-left:4px !important;
}

@media only screen and (max-width: 996px){

    .aw-onestep.aw-onestep-main .osc-fluid{
        padding:0px 10px;
        
    }

    
    
.aw-onestep.aw-onestep-main .osc-fluid > .field:nth-child(3){
    margin-left:4px !important;
}

}


.payment-method-content label[for='payment_type_applepay']{
    background-image: url('https://prod.aaw.com/media/wysiwyg/assets/ico/apple-pay.svg');
    background-repeat: no-repeat;
    width: 98px;
    height: 46px;
    background-position-x: 20px;
}

.payment-method-content label[for='payment_type_applepay'] span {
    visibility: hidden;
}
body.onestepcheckout-index-index .page-main .checkout-container .payment-methods .payment-methods-inner .payment-method.tap .payment-method-content .payment-method-title:has( input[type="radio"]:checked){
    border-radius: 10px !important;
    margin-top: 10px;
    padding: 10px 20px;
}

.page-footer .footer.content .field-recaptcha{
    margin-top:10px;
}
.page-footer .footer.content > .field-recaptcha{
    display: none;
}


.cart.item .stockmessage-innerblock{
    text-align: center !important;
    display: inline-block !important;
}

.stockmessage-innerblock{
    text-align: center !important;
    display: inline-block !important;
}

.item.product.product-item .stockmessage-innerblock {
    font-size: 12px;
    text-transform: lowercase !important;
    margin-bottom: 7px;
}

.stock-message-loader .loader {
    height : 5px;
    width  : 36px; /* (6 * <margin: 2px>) + (3 * <width: 8px>) */
}

.stock-message-loader .loader-box {
    display                   : inline-block;
    height                    : 8px;
    width                     : 8px;
    margin                    : 0px 2px;
    background-color          : #000;
    animation-name            : fadeOutIn;
    animation-duration        : 500ms;
    animation-iteration-count : infinite;
    animation-direction       : alternate;
}

.stock-message-loader .loader-box:nth-child(1) { animation-delay: 250ms; } /* (1/2) * <animation-duration: 500ms */
.stock-message-loader .loader-box:nth-child(2) { animation-delay: 500ms; } /* (2/2) * <animation-duration: 500ms */
.stock-message-loader .loader-box:nth-child(3) { animation-delay: 750ms; } /* (3/2) * <animation-duration: 500ms */

@keyframes fadeOutIn {
    0%   { background-color : rgba(0,146,255,1); }
    100% { background-color : rgba(0,146,255,0); }
}

.stk-cart-msg{
    position: relative;
    margin:0px;
}


@media only screen and (max-width: 996px){

.stk-cart-msg {
    display: block;
    position: absolute;
    margin-top: 44px;
}

}

/* added by AKP for telephone country code design fix on checkout */
:root body.onestepcheckout-index-index .page-wrapper .page-main .checkout-container .onestep-shipping-address:not(:has(.iti__country-list.iti__hide)) {
    position: relative;
    z-index: 1;
}
:root body.onestepcheckout-index-index .page-wrapper .page-main .checkout-container .onestep-Billing-address:not(:has(.iti__country-list.iti__hide)) {
    position: relative;
    z-index: 1;
}
:root body.onestepcheckout-index-index .page-wrapper .page-main .checkout-container .aw-onestep-main .field.field-phone:not(:has(.iti__country-list.iti__hide)) {
    position: relative;
    z-index: 1;
}
.onestepcheckout-index-index .page-main .checkout-container .field-phone:has(.iti__country-list) .input-text {
    padding-left: 4rem;
}
.onestepcheckout-index-index .page-main .checkout-container .field-phone.fl-placeholder-state:has(.iti__country-list) .label {
    z-index: 2;
    background: #FFF;
}
.onestepcheckout-index-index .page-main .checkout-container .onestep-billing-address .field-phone.fl-placeholder-state:has(.iti__country-list) .label {
        background: #e9edf6;
}
/* end */